Bug 209899 - No default directory in gvim save-as causes ABRT
Summary: No default directory in gvim save-as causes ABRT
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: vim   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-07 17:31 UTC by charles harris
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-29 14:44:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description charles harris 2006-10-07 17:31:49 UTC
Description of problem:
Editing and existing file, choosing Save As from the menu, typing in a file
name, and hitting save leads to program termination with the error message:

Gtk-ERROR **: file gtkfilechooserdefault.c: line 8174
(gtk_file_chooser_default_should_respond): assertion failed: (path != NULL)
aborting...
Vim: Caught deadly signal ABRT
Vim: Finished.
 
The save goes OK if a directory is specified. In any case, I think gvim should
issue an error message instead of terminating, or at least have a default
directory. If gvim is opened without specifying a file and Save As is used after
editing the buffer there is no problem.


Version-Release number of selected component (if applicable):
vim-X11-7.0.109-3

How reproducible:
Consistent


Steps to Reproduce:
1.Start gvim from terminal to edit existing file
2.Select save as from menu and type in file name
3.Hit save
  
Actual results:


Expected results:


Additional info:

Comment 1 charles harris 2006-10-07 18:54:07 UTC
This may be tangentially related, I am also seeing the message

bad async reply GVIM

emitted by an application that embeds gvim. It was working fine until the last
yum update.

Comment 2 Karsten Hopp 2007-08-29 14:44:00 UTC
this should be fixed with any vim version later than 7.0.129:
 7.0.129  GTK GUI: avoid GTK bug concerning directory for file dialog


Note You need to log in before you can comment on or make changes to this bug.